<template>
  <DefaultLayout>
    <div class="installer">
      <h1 class="h3 mb-5">Ubports Intaller</h1>
      <p>
        Fear not! Installing UBports Ubuntu Touch on your device is easy! Just
        download the UBports Installer package for your operating system and sit
        back and relax while your computer does all the rest. Installing
        third-party operating systems has never been so easy!

        <g-image
          class="mt-3"
          src="~/assets/img/installer/installer-screen.gif"
        />
      </p>
      <InstallerBanner />
      <div class="installer-video">
        <h2 class="h4 bold">
          Watch step by step
          <a href="https://www.youtube.com/watch?v=zuLFTGkuD68" target="_blank"
            >tutorial</a
          >
          so you don't miss anything.
        </h2>
        <ThemedImage
          class="helpflash-container"
          light-src="img/installer/helpflash.svg"
          dark-src="img/installer/helpflash-dark.svg"
        />
      </div>
    </div>
  </DefaultLayout>
</template>

<script>
import InstallerBanner from "~/components/devices/InstallerBanner.vue";
import ThemedImage from "~/components/ThemedImage.vue";

export default {
  metaInfo: {
    title: "UBports Installer",
    meta: [
      {
        name: "keywords",
        content:
          "Ubuntu Touch, UBports installer, Privacy phone, Linux smartphone, Linux on mobile"
      },
      {
        name: "description",
        content:
          "A friendly cross-platform Installer for Ubuntu Touch. Connect a supported device to your PC, follow the on-screen instructions, and watch this awesome tool do all the rest!"
      },
      {
        property: "og:url",
        content: "https://devices.ubuntu-touch.io/installer"
      },
      {
        property: "og:title",
        content: "UBports Installer • Ubuntu Touch • Linux Phone"
      },
      {
        property: "og:description",
        content:
          "A friendly cross-platform Installer for Ubuntu Touch. Connect a supported device to your PC, follow the on-screen instructions, and watch this awesome tool do all the rest!"
      }
    ]
  },
  components: {
    InstallerBanner,
    ThemedImage
  }
};
</script>
